- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.except.UnknownAPIException Class Reference

The smjg.libs.sdwf.except.UnknownAPIException class represents an unidentified error generated by a Windows API call that does not call `SetLastError`. More...

Inheritance diagram for smjg.libs.sdwf.except.UnknownAPIException:

List of all members.

## Static Public Member Functions
static void | validate (int result, string fName, string callName)
| Checks that a Windows API function call has succeeded.
static void | validate (void *result, string fName, string callName)
| Checks that an Windows API function call has succeeded.
static deprecated void | validate (int result, string fName)
| Checks that a Windows API function call has succeeded.
static deprecated void | validate (void *result, string fName)
| Checks that an Windows API function call has succeeded.

## Detailed Description

The smjg.libs.sdwf.except.UnknownAPIException class represents an unidentified error generated by a Windows API call that does not call `SetLastError`.

This class is mainly used internally by SDWF functions, though it may be used by the programmer when calling a Windows API function directly.

Since:
  0.3

## Member Function Documentation

static void smjg.libs.sdwf.except.UnknownAPIException.validate | ( | int | result,
|  | string | fName,
|  | string | callName |
| ) |  |  | `[static]`

Checks that a Windows API function call has succeeded.

Parameters:

  | result | a value that will be zero if and only if the API call has failed. Usually this will be the value returned from the API function itself.
  | fName | name of the Windows API function being validated.
  | callName | name of the SDWF function that called the Windows API function.

Exceptions:

  | UnknownAPIException | if the Windows API call was an error condition.

static void smjg.libs.sdwf.except.UnknownAPIException.validate | ( | void * | result,
|  | string | fName,
|  | string | callName |
| ) |  |  | `[static]`

Checks that an Windows API function call has succeeded.

This function is syntactic sugar for UnknownAPIException.validate(int, string), to be used with Windows API functions that return pointers.

Parameters:

  | result | a pointer value that will be null if and only if the API call has failed. Usually this will be the value returned from the API function itself.
  | fName | name of the Windows API function being validated.
  | callName | name of the SDWF function that called the Windows API function.

Exceptions:

  | UnknownAPIException | if the Windows API call was an error condition.

static deprecated void smjg.libs.sdwf.except.UnknownAPIException.validate | ( | int | result,
|  | string | fName |
| ) |  |  | `[static]`

Checks that a Windows API function call has succeeded.

Parameters:

  | result | a value that will be zero if and only if the API call has failed. Usually this will be the value returned from the API function itself.
  | fName | name of the Windows API function being validated.

Exceptions:

  | UnknownAPIException | if the Windows API call was an error condition.

Deprecated:
  Superseded by UnknownAPIException.validate(int, string, string)

static deprecated void smjg.libs.sdwf.except.UnknownAPIException.validate | ( | void * | result,
|  | string | fName |
| ) |  |  | `[static]`

Checks that an Windows API function call has succeeded.

This function is syntactic sugar for UnknownAPIException.validate(int, string), to be used with Windows API functions that return pointers.

Parameters:

  | result | a pointer value that will be null if and only if the API call has failed. Usually this will be the value returned from the API function itself.
  | fName | name of the Windows API function being validated.

Exceptions:

  | UnknownAPIException | if the Windows API call was an error condition.

Deprecated:
  Superseded by UnknownAPIException.validate(void*, string, string)

The documentation for this class was generated from the following file:

- except.d